Debians sikkerhedsbulletin

DSA-452-1 libapache-mod-python -- lammelsesangreb

Rapporteret den:
29. feb 2004
Berørte pakker:
libapache-mod-python
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Bugtraq-databasen (hos SecurityFocus): BugTraq-id 9129.
I Mitres CVE-ordbog: CVE-2003-0973.
Yderligere oplysninger:

Apache Software Foundation har annoncerer at nogle udgaver af mod_python indeholder en fejl, der ved behandling af en forespørgsel med en misdannet forespørgselsstreng, kunne få den tilsvarende Apache-childproces til at gå ned. Fejlen kunne udnyttes af en fjernangriber til at forårsage et lammelsesangreb.

I den nuværende stabile distribution (woody) er dette problem rettet i version 2:2.7.8-0.0woody2.

I den ustabile distribution (sid), er dette problem rettet i version 2:2.7.10-1.

Vi anbefaler at du opdaterer din libapache-mod-python-pakke.

Rettet i:

Debian GNU/Linux 3.0 (woody)

Kildekode:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2.dsc
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2.diff.gz
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/liba/libapache-mod-python/libapache-mod-python_2.7.8-0.0woody2_sparc.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.